<?php
if (isset($_GET['document_id'])) {
    $documentID = intval($_GET['document_id']);

    // Database connection credentials
    $db_host = "localhost";
    $db_name = "PROJ01";
    $db_user = "proj01";
    $db_pass = "csc4341";

    try {
        // Establish PDO connection
        $db_con = new PDO("mysql:host={$db_host};dbname={$db_name}", $db_user, $db_pass);
        $db_con->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Fetch the file path from the database
        $stmt = $db_con->prepare(
            "SELECT DocumentName, FilePath 
             FROM Document 
             WHERE DocumentID = :DocumentID"
        );
        $stmt->execute([':DocumentID' => $documentID]);
        $document = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($document && file_exists($document['FilePath'])) {
            // Serve the file
            header('Content-Type: application/octet-stream');
            header('Content-Disposition: attachment; filename="' . basename($document['DocumentName']) . '"');
            header('Content-Length: ' . filesize($document['FilePath']));

            readfile($document['FilePath']);
            exit();
        } else {
            echo "File not found.";
        }
    } catch (PDOException $e) {
        die("Database error: " . $e->getMessage());
    }
} else {
    echo "Invalid request. Document ID is missing.";
}

?>
