<?php
// Database connection credentials
$db_host = "localhost";
$db_name = "PROJ01";
$db_user = "proj01";
$db_pass = "csc4341";

// Start session
session_start();


try {
    // Establish PDO connection
    $db_con = new PDO("mysql:host={$db_host};dbname={$db_name}", $db_user, $db_pass);
    $db_con->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Database connection failed: " . $e->getMessage());
}

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['btn-login'])) {
    $user_email = trim($_POST['email']);
    $user_password = trim($_POST['password']);

    if ($user_email && $user_password) {
        try {
            // Fetch user by email
            $stmt = $db_con->prepare("SELECT UserID, Email, Password, Role FROM CustomUser WHERE Email = :email");
            $stmt->execute([":email" => $user_email]);
            $row = $stmt->fetch(PDO::FETCH_ASSOC);

            if ($row && password_verify($user_password, $row['Password'])) {
                // Successful login
                $_SESSION['user_session'] = $row['UserID'];
                $_SESSION['user_role'] = $row['Role'];

                if ($row['Role'] === 'student') {
                    $studentStmt = $db_con->prepare("SELECT StudentID FROM Student WHERE UserID = :userID");
                    $studentStmt->execute([":userID" => $row['UserID']]);
                    $studentRow = $studentStmt->fetch(PDO::FETCH_ASSOC);

                    if ($studentRow) {
                        $_SESSION['student_id'] = $studentRow['StudentID'];
                        header("Location: student_page.php?studentID=" . $studentRow['StudentID']);
                        exit();
                    } else {
                        die("Error: StudentID not found for the user. Debug UserID: " . $row['UserID']);
                    }
               

                } elseif ($row['Role'] === 'manager') {
                    $staffStmt = $db_con->prepare("SELECT StaffID FROM Staff WHERE UserID = :userID");
                    $staffStmt->execute([":userID" => $row['UserID']]);
                    $staffRow = $staffStmt->fetch(PDO::FETCH_ASSOC);

                    if ($staffRow) {
                        $_SESSION['staff_id'] = $staffRow['StaffID'];
                        header("Location: manager_page.php?staffID=" . $staffRow['StaffID']);
                    } else {
                        die("Error: StaffID not found for the user.");
                    }
                } else {
                    // Unknown role
                    die("Unknown user role. Please contact the administrator.");
                }
                exit();
            } else {
                // Incorrect email or password
                $error_message = "Invalid email or password.";
            }
        } catch (PDOException $e) {
            die("Query error: " . $e->getMessage());
        }
    } else {
        $error_message = "Please provide a valid email and password.";
    }
}
?>





<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login Page</title>
    <link rel="stylesheet" href="styles.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<body>
    <header>
        <nav>
            <div class="logo">
                <h1>Document Request Service</h1>
            </div>
            <ul class="nav-links">
                <li><a href="home.html">Home</a></li>
                <li><a href="registration_form2.php">Register</a></li>
            </ul>
        </nav>
    </header>

    <main>
        <section class="login-section">
            <h2>Login to Your Account</h2>
            <?php if (isset($error_message)): ?>
                <p class="error-message"><?php echo $error_message; ?></p>
            <?php endif; ?>
            <form id="login-form" method="POST" action="">
                <div class="input-group">
                    <label for="email">Email:</label>
                    <input type="email" id="email" name="email" required>
                </div>
                <div class="input-group">
                    <label for="password">Password:</label>
                    <input type="password" id="password" name="password" required>
                </div>
               <!-- <div class="input-group checkbox-group">
                    <input type="checkbox" id="remember-me" name="remember-me">
                    <label for="remember-me">Remember me</label>
                </div>-->
                <button type="submit" class="btn-primary" name="btn-login">Login</button>
            </form>
           <!-- <div class="extra-options">
                <a href="forgot-password.html" class="forgot-password-link">Forgot your password?</a>
            </div>-->
            <p class="no-account">Don't have an account?
                <a href="registration_form2.php" class="register-link">Register here</a>
            </p>
        </section>
    </main>

    <footer>
        <p>&copy; 2024 Document Request Service</p>
    </footer>
</body>
</html>


