<?php
session_start();

// Ensure the user is logged in and is a manager
if (!isset($_SESSION['staff_id']) || $_SESSION['user_role'] !== 'manager') {
    die("Access denied.");
}

$staffID = $_SESSION['staff_id'];

// Database connection credentials
$db_host = "localhost";
$db_name = "PROJ01";
$db_user = "proj01";
$db_pass = "csc4341";

try {
    $db_con = new PDO("mysql:host={$db_host};dbname={$db_name}", $db_user, $db_pass);
    $db_con->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Database connection failed: " . $e->getMessage());
}

// Fetch student requests
try {
    $stmt = $db_con->prepare("
        SELECT 
            r.RequestID, 
            r.RequestType, 
            r.Status, 
            r.StudentID, 
            CONCAT(s.FirstName, ' ', s.LastName) AS StudentName 
        FROM Request r 
        INNER JOIN Student s ON r.StudentID = s.StudentID
    ");
    $stmt->execute();
    $requests = $stmt->fetchAll(PDO::FETCH_ASSOC);
} catch (PDOException $e) {
    die("Query error: " . $e->getMessage());
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Manager Dashboard - Document Submission</title>
    <link rel="stylesheet" href="styles.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<body>
    <header>
        <nav>
            <div class="logo">
                <h1>Manager Dashboard</h1>
            </div>
            <ul class="nav-links">
                <li><a href="home.html">Logout</a></li>
            </ul>
        </nav>
    </header>

    <main>
        <section class="manager-section">
            <h2>Student Document Submissions</h2>
            <p>View the status of student document submissions:</p>

            <div class="student-list">
                <table>
                    <thead>
                        <tr>
                            <th>Student Name</th>
                            <th>Document Type</th>
                            <th>Status</th>
			    <th>Action</th>
                            <th>Notifications</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($requests as $request): ?>
                            <tr>
                                <td><?php echo htmlspecialchars($request['StudentName']); ?></td>
                                <td><?php echo htmlspecialchars($request['RequestType']); ?></td>
                                <td><?php echo htmlspecialchars($request['Status']); ?></td>
                                <td>
                                    <a href="view_submission.php?requestID=<?php echo $request['RequestID']; ?>" class="btn-view">View</a>
				</td>
                                <td>
                                    <a href="send_notification.php?studentID=<?php echo urlencode($request['StudentID']); ?>&requestID=<?php echo urlencode($request['RequestID']); ?>" class="btn-view">Notify</a>
                                </td>

                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        </section>
    </main>

    <footer>
        <p>&copy; 2024 Document Submission Management System</p>
    </footer>
</body>
</html>

