<?php
session_start();

if (!isset($_SESSION['student_id'])) {
    die("Access denied.");
}

$studentID = $_SESSION['student_id'];

// Database connection credentials
$db_host = "localhost";
$db_name = "PROJ01";
$db_user = "proj01";
$db_pass = "csc4341";

try {
    // Establish PDO connection
    $db_con = new PDO("mysql:host={$db_host};dbname={$db_name}", $db_user, $db_pass);
    $db_con->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Fetch notifications
    $stmt = $db_con->prepare("
        SELECT NotificationType, Timestamp
        FROM Notification
        WHERE StudentID = :studentID
        ORDER BY Timestamp DESC
    ");
    $stmt->execute([':studentID' => $studentID]);
    $notifications = $stmt->fetchAll(PDO::FETCH_ASSOC);
} catch (PDOException $e) {
    die("Query error: " . $e->getMessage());
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Notifications</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <header>
        <nav>
            <div class="logo">
                <h1>Notifications</h1>
            </div>
            <ul class="nav-links">
                <li><a href="student_page.php">Dashboard</a></li>
                <li><a href="home.html">Logout</a></li>
            </ul>
        </nav>
    </header>

    <main>
        <section class="notifications-section">
            <h2>Your Notifications</h2>
            <?php if (empty($notifications)): ?>
                <p>No notifications at the moment.</p>
            <?php else: ?>
                <ul class="notifications-list">
                    <?php foreach ($notifications as $notification): ?>
                        <li class="notification-item">
			    <p><strong>Type:</strong> <?php echo htmlspecialchars($notification['NotificationType']); ?></p>
                             <p><strong>Please check your school email or talk to the international office manager.</strong></p>
                            <p><small><strong>Date:</strong> <?php echo htmlspecialchars($notification['Timestamp']); ?></small></p>
                        </li>
                    <?php endforeach; ?>
                </ul>
            <?php endif; ?>
        </section>
    </main>

    <footer>
        <p>&copy; 2024 Document Submission Management System</p>
    </footer>
</body>
</html>

