<?php
//If the form is submitted, store the submitted values into variables.
if (isset($_POST['submit'])) {
  $role = $_POST["role"];
  $username = $_POST["username"];
  $password = $_POST["password"];
  $email = $_POST["email"];

  $hashedPassword = password_hash($password, PASSWORD_DEFAULT);

  //Connect to the database and prepare insert query
  $servername = "localhost";
  $database = "PROJ01";
  $username_db = "proj01";
  $password_db = "csc4341";

  $dsn = "mysql:host=$servername;dbname=$database";
  $options = [
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
    PDO::ATTR_EMULATE_PREPARES   => false,
   ];

  try {
    $conn = new PDO($dsn, $username_db, $password_db, $options);
    $sql = $conn->prepare("INSERT INTO CustomUser (Username, Password, Email, Role) VALUES (:Username, :Password, :Email, :Role)");
    echo "PDO connection object created";
  } catch (PDOException $e) {
    echo 'Connection failed: ' . $e->getMessage();
  }

  //Pass the values to the insert query
  $data_array = array(':Username'=>$username, ':Password'=>$hashedPassword, ':Email'=>$email, ':Role'=>$role);
  print_r($data_array);
  $sql->execute($data_array);

  $userID = $conn->lastInsertId();

  if ($role === 'student') {
    header("Location: role_form_student.php?userID=" . $userID . "&email=" . urlencode($email));
  }

  elseif ($role === 'manager') {
    header("Location: role_form_staff.php?userID=" . $userID . "&email=" . urlencode($email));
  }

  exit();

  //Redirect to another web page if needed
  //header("Location: ../lab1/sql_form.html");
} //end of if (isset($_POST['submit']);

?>


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register - Document Request Service</title>
    <link rel="stylesheet" href="styles.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<body>
    <header>
        <nav>
            <div class="logo">
                <h1>Document Request Service</h1>
            </div>
            <ul class="nav-links">
                <li><a href="home.html">Home</a></li>
                <li><a href="login.php">Login</a></li>
            </ul>
        </nav>
    </header>

    <main>
        <section class="register-section">
            <h2>Create Your Account</h2>
            <form id="register-form" action="<?php echo $_SERVER['PHP_SELF']?>" method="post" >
                <div class="input-group">
                    <label for="role">Role:</label>
                    <select id="role" name="role" required>
                        <option value="" disabled selected>Select a role</option>
                        <option value="student">Student</option>
                        <option value="manager">Manager</option>
                    </select>
		</div>


                <div class="input-group">
                    <label for="username">Username:</label>
                    <input type="text" id="username" name="username" required>
                </div>


                <div class="input-group">
                    <label for="email">Email:</label>
                    <input type="email" id="email" name="email" required>
                </div>
                
                <div class="input-group">
                    <label for="password">Password:</label>
                    <input type="password" id="password" name="password" required>
                </div>
                <div class="input-group">
                    <label for="confirm-password">Confirm Password:</label>
                    <input type="password" id="confirm-password" name="confirm-password" required>
                </div>
                <button type="submit" name="submit" class="btn-primary">Register</button>
            </form>
            <div class="extra-options">
                <p>Already have an account? <a href="login.php">Login here</a>.</p>
            </div>
        </section>
    </main>

    <footer>
        <p>&copy; 2024 International Document Services</p>
    </footer>
    <style>
        .hidden {
            display: none;
        }
    </style>
</body>
</html>

