<?php
// Get email and userID from the query string
if (!isset($_GET['userID']) || !isset($_GET['email'])) {
    die("Invalid access: userID or email not provided.");
}

$userID = ($_GET['userID']);
$email = ($_GET['email']); 

// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $first_name = ($_POST["first_name"]);
    $last_name = ($_POST["last_name"]);
    $phone_number = ($_POST["phone_number"]);

    // Database connection credentials
    $servername = "localhost";
    $database = "PROJ01";
    $username_db = "proj01";
    $password_db = "csc4341";

    $dsn = "mysql:host=$servername;dbname=$database";
    $options = [
        PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
        PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
        PDO::ATTR_EMULATE_PREPARES   => false,
    ];

    try {
      
        $conn = new PDO($dsn, $username_db, $password_db, $options);

        $sql = $conn->prepare("INSERT INTO Student (FirstName, LastName, Email, PhoneNumber, UserID) VALUES (:First_Name, :Last_Name, :Email, :Phone_Number, :User_ID)"
        );
        $data_array = [':First_Name' => $first_name, ':Last_Name' => $last_name, ':Email' => $email, ':Phone_Number' => $phone_number, ':User_ID' => $userID,];
        $sql->execute($data_array);

       
        echo "Student information successfully submitted!";
        header("Location: login.php");
        exit();
    } catch (PDOException $e) {
        die("Error inserting data: " . $e->getMessage());
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Student Information - Document Request Service</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <header>
        <nav>
            <div class="logo">
                <h1>Document Request Service</h1>
            </div>
            <ul class="nav-links">
                <li><a href="home.html">Home</a></li>
                <li><a href="logout.php">Logout</a></li>
            </ul>
        </nav>
    </header>

    <main>
        <section class="register-section">
            <h2>Student Information</h2>
            <form method="POST" action="">
                <div class="input-group">
                    <label for="first_name">First Name:</label>
                    <input type="text" id="first_name" name="first_name" required>
                </div>
                <div class="input-group">
                    <label for="last_name">Last Name:</label>
                    <input type="text" id="last_name" name="last_name" required>
                </div>
                <div class="input-group">
                    <label for="email">Email:</label>
                    <input type="email" id="email" name="email" value="<?php echo $email; ?>" readonly>
                </div>
                <div class="input-group">
                    <label for="phone_number">Phone Number:</label>
                    <input type="text" id="phone_number" name="phone_number" required>
                </div>
                <button type="submit" class="btn-primary" name="submit">Submit</button>
            </form>
        </section>
    </main>

    <footer>
        <p>&copy; 2024 Document Request Service</p>
    </footer>
</body>
</html>

