<?php
session_start();

// Ensure the manager is logged in
if (!isset($_SESSION['staff_id'])) {
    die("Invalid access.");
}

$studentID = isset($_GET['studentID']) ? intval($_GET['studentID']) : null;
$requestID = isset($_GET['requestID']) ? intval($_GET['requestID']) : null;

if (!$studentID || !$requestID) {
    die("Invalid access.");
}

// Database connection credentials
$db_host = "localhost";
$db_name = "PROJ01";
$db_user = "proj01";
$db_pass = "csc4341";

try {
    // Establish PDO connection
    $db_con = new PDO("mysql:host={$db_host};dbname={$db_name}", $db_user, $db_pass);
    $db_con->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Handle form submission
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        $notificationType = $_POST['notificationType'];
        $timestamp = date("Y-m-d H:i:s");

        // Insert notification into the database
        $stmt = $db_con->prepare("
            INSERT INTO Notification (NotificationType, Timestamp, RequestID, StudentID)
            VALUES (:NotificationType, :Timestamp, :RequestID, :StudentID)
        ");
        $stmt->execute([
            ':NotificationType' => $notificationType,
            ':Timestamp' => $timestamp,
            ':RequestID' => $requestID,
            ':StudentID' => $studentID,
        ]);

        echo "<p>Notification sent!</p>";
        header("Refresh: 2; url=manager_page.php");
        exit();
    }
} catch (PDOException $e) {
    die("Database error: " . $e->getMessage());
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Send Notification</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <header>
        <nav>
            <ul class="nav-links">
                <li><a href="manager_page.php">Back to Dashboard</a></li>
      
            </ul>
        </nav>
    

        <h1>Send Notification</h1>
    </header>
    <main>
        <form method="POST">
            <label for="notificationType">Select Notification Type:</label>
            <select id="notificationType" name="notificationType" required>
                <option value="status update">Status Update</option>
                <option value="missing info">Missing Info</option>
            </select>
            <button type="submit">Send Notification</button>
        </form>
    </main>
    <footer>
        <p>&copy; 2024 Document Submission Management System</p>
    </footer>
</body>
</html>

